Description

History

#1 - 11/16/2014 06:14 AM - Luke Murphey

- Status changed from New to In Progress

#2 - 11/16/2014 06:14 AM - Luke Murphey

Can monitor the PLM output using the following search:

index=_internal sourcetype=python_modular_input* OR sourcetype=insteon*

#3 - 11/16/2014 06:23 AM - Luke Murphey

Some useful links while debugging:

Upload app

Monitor input

PLM inputs

Server controls

#4 - 11/16/2014 06:46 AM - Luke Murphey

The input isn't getting any data. A connection appears to be established but the calls to read(1) return nothing.

#5 - 11/17/2014 08:45 PM - Luke Murphey

The host is getting activity, it just isn't getting to the pyinsteon library.

#6 - 11/17/2014 08:45 PM - Luke Murphey

- File test_socket.py added

#7 - 11/17/2014 08:50 PM - Luke Murphey

The socket is swallowing exceptions; this one in particular:

Exception: <type 'exceptions.AttributeError'>

Traceback (most recent call last):

File ".\test_socket.py", line 16, in <module>

data = s.recv(1, socket.MSG_DONTWAIT)

AttributeError: 'module' object has no attribute 'MSG_DONTWAIT'
http://10.0.1.5:8000/en-US/manager/appinstall/_upload
http://10.0.1.5:8000/en-US/app/insteon/search?q=search%20index%3D_internal%20sourcetype%3Dpython_modular_input*%20OR%20sourcetype%3Dinsteon*&earliest=rt&latest=rt&sid=rt_1416118754.13
http://10.0.1.5:8000/en-US/manager/insteon/data/inputs/insteon_plm
http://10.0.1.5:8000/en-US/manager/search/control


#8 - 11/17/2014 09:00 PM - Luke Murphey

See http://stackoverflow.com/questions/7588936/python-sockets-question-socket-msg-dontwait-in-windows

#9 - 11/17/2014 10:02 PM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Files

test_socket.py 431 Bytes 11/17/2014 Luke Murphey
